#ifndef _WHEN_H_
#define _WHEN_H_
#include "am.h"

#ifdef RENESASBOARD

typedef uint32 when_t;

#else

#include "sys/time.h"
typedef struct timeval when_t;

#endif /*RENESASBOARD*/

/*
 * Global time - this is approx, and is updated at major points (by updateCurrentTime()) - box consume, exit, and superstep
 *
 */
 
extern when_t currentTime;

void updateCurrentTime();

/*
 * time delta in uSecs
 *
 */
typedef uint32 usecs;

usecs timeDiff(when_t *t2, when_t *t1);
void timeAdd(when_t *t, usecs u);

#endif /* _WHEN_H_ */
